Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get a Rental Case

GET
/customer-api/v1/rental-management/rental-case/{rentalCaseUuid}
curl --request GET \
--url https://your-instance.seventhings.com/customer-api/v1/rental-management/rental-case/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Get a Rental Case.

rentalCaseUuid
required
string format: uuid

A Task entry

Media typeapplication/json

The reference of the rental case.

object
uuid
required

The UUID of the rental case.

string format: uuid
status
required

The status of the rental case.

string
Allowed values: requested confirmed borrowed rejected completed return_overdue pickup_overdue
title
required

The title of the rental case.

string
references
required
Array<object>
>= 1 items <= 100 items

The reference of the rental case.

object
type
required

The type of the referenced object.

string
Allowed values: asset
uuid
required

The UUID of the referenced object.

string format: uuid
name

Display name of the referenced object.

string
id

The id of the referenced object.

integer
issue_date
required

The start of the rental case.

string format: date
issue_date_reminder

The amount of time to send a reminder.

object
unit
required

The unit of the time interval.

string
Allowed values: days weeks months years
value
required

The value of the time interval.

integer
due_date
required

The start of the rental case.

string format: date
due_date_reminder

The amount of time to send a reminder.

object
unit
required

The unit of the time interval.

string
Allowed values: days weeks months years
value
required

The value of the time interval.

integer
responsible_user_uuid
required

The uuid of the responsible user.

string format: uuid
renter

The name of the renter.

string
comment

A comment that is displayed in the rental case details.

string
nullable
attachments
required
Array<object>
0

The file attachment of the rental case.

object
uuid
string format: uuid
name
string
0 <= 255 characters
type
string
0 <= 255 characters
size

File size in bytes

integer
>= 1 <= 52428800
data_uri
string
0 <= 1000 characters
thumbnail_uri
string
0 <= 1000 characters
Example
{
"status": "requested",
"title": "Rent the printer.",
"references": [
{
"type": "asset",
"uuid": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"name": "Asset name (asset barcode)",
"id": 1
}
],
"issue_date": "2025-04-23",
"issue_date_reminder": {
"unit": "days",
"value": 2
},
"due_date": "2025-04-23",
"due_date_reminder": {
"unit": "days",
"value": 2
},
"responsible_user_uuid": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"renter": "seventhings GmbH",
"comment": "The printer is running low on ink."
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

Internal Server Error.